org.apache.myfaces.trinidad.render

## Interface LifecycleRenderer

- All Known Implementing Classes:
    ExtendedRenderer

      public interface LifecycleRenderer

  LifecycleRenderer can be used to enhance the general component-renderer contract, by letting a renderer take over control of all child component hierarchy lifecycle phases. In particular, the renderer can take over the implementation of UIComponent.processValidators(), processDecode(), and processUpdates(). (This requires that the component be a subclass of UIXComponentBase.)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `decodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Decodes a component's children.
    `boolean` | `updateChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Updates a component's children.
    `boolean` | `validateChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Validates a component's children.

- - ### Method Detail

    - #### decodeChildren

          boolean decodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)

      Decodes a component's children.
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Apply Request Values phase.

    - #### validateChildren

          boolean validateChildren(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Validates a component's children.
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Process Validation phase.

    - #### updateChildren

          boolean updateChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)

      Updates a component's children.
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Update Model phase.

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.